scala.tools.nsc.util

# ClassPath

#### object ClassPath

This module provides star expansion of '-classpath' option arguments, behaves the same as java, see [http://java.sun.com/javase/6/docs/technotes/tools/windows/classpath.html]

Source
  ClassPath.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassPath
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract class ClassPathContext[T] extends AnyRef

   A class modeling aspects of a ClassPath which should be propagated to any classpaths it creates.

2. #### class JavaContext extends ClassPathContext[AbstractFile]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object DefaultJavaContext extends JavaContext

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def expandDir(extdir: String): List[String]

   Expand dir out to contents, a la extdir

10. #### def expandManifestPath(jarPath: String): List[URL]

    Expand manifest jar classpath entries: these are either urls, or paths relative to the location of the jar.

11. #### def expandPath(path: String, expandStar: Boolean = true): List[String]

    Expand path and possibly expanding stars

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def join(paths: String*): String

    Join classpath using platform-dependent path separator

17. #### def manifests: List[URL]

18. #### def map(cp: String, f: (String) ⇒ String): String

    Split the classpath, apply a transformation function, and reassemble it.

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def specToURL(spec: String): Option[URL]

23. #### def split(path: String): List[String]

    Split classpath using platform-dependent path separator

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toSourceName(f: AbstractFile): String

    From the source file to its identifier.

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped